# Uses of Interface
org.opensaml.saml.saml2.assertion.ConditionValidator

Packages that use ConditionValidator
Package
Description
org.opensaml.saml.saml2.assertion
Interfaces and API classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.

## Uses of ConditionValidator in org.opensaml.saml.saml2.assertion

Fields in org.opensaml.saml.saml2.assertion with type parameters of type ConditionValidator
Modifier and Type
Field
Description
`private LazyMap<QName,ConditionValidator>`
SAML20AssertionValidator.`conditionValidators`
Registered `Condition` validators.
Constructor parameters in org.opensaml.saml.saml2.assertion with type arguments of type ConditionValidator
Modifier
Constructor
Description
``
`SAML20AssertionValidator(Collection<ConditionValidator> newConditionValidators, Collection<SubjectConfirmationValidator> newConfirmationValidators, Collection<StatementValidator> newStatementValidators, AssertionValidator newAssertionValidator, SignatureTrustEngine newTrustEngine, SignaturePrevalidator newSignaturePrevalidator)`
Constructor.

## Uses of ConditionValidator in org.opensaml.saml.saml2.assertion.impl

Classes in org.opensaml.saml.saml2.assertion.impl that implement ConditionValidator
Modifier and Type
Class
Description
`class`
`AudienceRestrictionConditionValidator`
`ConditionValidator` implementation for `AudienceRestriction` conditions.
`class`
`DelegationRestrictionConditionValidator`
`ConditionValidator` implementation for `DelegationRestrictionType` style conditions.
`class`
`OneTimeUseConditionValidator`
`ConditionValidator` used for `OneTimeUse` conditions.
`class`
`ProxyRestrictionConditionValidator`
`ConditionValidator` implementation for `ProxyRestriction` style conditions.